RadioButtonHandle (install4j API)
Description: declaration: package: com.install4j.api.test.formcomponents, interface: RadioButtonHandle

# Interface RadioButtonHandle

All Superinterfaces:
  `FormComponentHandle`

public interface RadioButtonHandle extends FormComponentHandle
Handle for the "Single radio button" form component. The Swing widget is one `JRadioButton` in a group of single-radio form components sharing the same variable name.

Reach this handle via `ScreenHandle.radioButton()`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `RadioButtonHandle`
  `assertDisabled()`
  `RadioButtonHandle`
  `assertEnabled()`
  `RadioButtonHandle`
  `assertInvisible()`
  `RadioButtonHandle`
  `assertNotSelected()`
  Assert that this radio button is not currently selected.
  `RadioButtonHandle`
  `assertSelected()`
  Assert that this radio button is currently selected.
  `RadioButtonHandle`
  `assertVisible()`
  `boolean`
  `isSelected()`
  Whether this radio button is currently selected.
  `RadioButtonHandle`
  `select()`
  Select this radio button.

  ### Methods inherited from interface FormComponentHandle

  `getId, isEnabled, isVisible`

- ## Method Details

  - ### isSelected

    boolean isSelected()
    Whether this radio button is currently selected.

  - ### select

    @NotNull RadioButtonHandle select()
    Select this radio button.

  - ### assertSelected

    @NotNull RadioButtonHandle assertSelected()
    Assert that this radio button is currently selected.

  - ### assertNotSelected

    @NotNull RadioButtonHandle assertNotSelected()
    Assert that this radio button is not currently selected.

  - ### assertEnabled

    @NotNull RadioButtonHandle assertEnabled()
    Specified by:
      `assertEnabled` in interface `FormComponentHandle`

  - ### assertDisabled

    @NotNull RadioButtonHandle assertDisabled()
    Specified by:
      `assertDisabled` in interface `FormComponentHandle`

  - ### assertVisible

    @NotNull RadioButtonHandle assertVisible()
    Specified by:
      `assertVisible` in interface `FormComponentHandle`

  - ### assertInvisible

    @NotNull RadioButtonHandle assertInvisible()
    Specified by:
      `assertInvisible` in interface `FormComponentHandle`